loci.formats.in.LeicaMicrosystemsMetadata

## Class XlefDocument

- java.lang.Object
- - loci.formats.in.LeicaMicrosystemsMetadata.LMSXmlDocument
  - - loci.formats.in.LeicaMicrosystemsMetadata.LMSCollectionXmlDocument
    - - loci.formats.in.LeicaMicrosystemsMetadata.XlefDocument

-     public class XlefDocument
      extends LMSCollectionXmlDocument

  This class represents a Leica Microsystems XLEF xml document, a project file which references xlifs and optionally xlcfs
  Author:
    Constanze Wendlandt constanze.wendlandt at leica-microsystems.com

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class loci.formats.in.LeicaMicrosystemsMetadata.LMSXmlDocument

      `LMSXmlDocument.InitFrom`

  - ### Field Summary

    - ### Fields inherited from class loci.formats.in.LeicaMicrosystemsMetadata.LMSXmlDocument

      `dir, doc, filepath, LOGGER, parent, xPath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XlefDocument(java.lang.String filepath)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getImageCount()` Returns number of images which are referenced by xlifs
    `void` | `printReferences()`

    - ### Methods inherited from class loci.formats.in.LeicaMicrosystemsMetadata.LMSCollectionXmlDocument

      `getChildrenFiles, getXlifs, initChildren`

    - ### Methods inherited from class loci.formats.in.LeicaMicrosystemsMetadata.LMSXmlDocument

      `fileExists, getAttr, GetChildWithName, getDoc, getFilepath, getParentFiles, nodeToString, parseFilePath, toString, xPath, xPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XlefDocument

          public XlefDocument(java.lang.String filepath)

  - ### Method Detail

    - #### getImageCount

          public int getImageCount()

      Returns number of images which are referenced by xlifs
      Returns:
        image number

    - #### printReferences

          public void printReferences()

Copyright © 2026 Open Microscopy Environment